#!/bin/bash
#
# Copyright (C) 2018 Purism SPC
#
# SPDX-License-Identifier: GPL-3.0+
#

usage() {
  echo "Usage : $1 "
  echo "    -h Display this help message."
  echo "    -T [418|52|next] use the artifacts from this kernel version"
}

build_type=52
pureos_board=devkit

while getopts "hT:" opt; do
  case ${opt} in
    T)
      build_type=$OPTARG
      ;;
    \?)
      echo "Invalid Option: -$OPTARG" 1>&2
      usage "$0"
      exit 0
      ;;
    h )
      usage "$0"
      exit 0
      ;;
  esac
done

[ ! -e files ] && mkdir files

case ${build_type} in
	418)
		kernel_url=https://arm01.puri.sm/job/Kernel_builds/job/kernel_devkit_linux-emcraft_imx8-4.18-wip/
		uboot_url=https://arm01.puri.sm/job/u-boot_builds/job/uboot_418-devkit_build/
		;;
	52)
		kernel_url=https://arm01.puri.sm/job/Kernel_builds/job/kernel_devkit_linux-next_imx8-5.2-devkit/
		uboot_url=https://arm01.puri.sm/job/u-boot_builds/job/uboot_devkit_build/
		;;
	next)
		kernel_url=https://arm01.puri.sm/job/Kernel_builds/job/kernel_devkit_linux-next_imx8-linux-next-devkit/
		uboot_url=https://arm01.puri.sm/job/u-boot_builds/job/uboot_devkit_build/
		;;
esac

wget -N "${kernel_url}lastSuccessfulBuild/artifact/*zip*/archive.zip"  -P files
cd files
unzip -oj archive.zip
cd ..
wget -N "${uboot_url}lastSuccessfulBuild/artifact/*zip*/archive.zip"  -P files
cd files
unzip -oj archive.zip
